

cc.Class({
    extends: cc.Component,

    properties: {
        //背景音乐挂载
        ac_bgMusic_normal: {
            type: cc.AudioClip,
            default: null,    
        },
        ac_bgMusic_excited: {
            type: cc.AudioClip,
            default: null,    
        },
        ac_bgMusic_uneasy: {
            type: cc.AudioClip,
            default: null,    
        },

        bgMusicId: null,
    },

    onLoad () {
        if (CC_WECHATGAME) {
            this.initWX();
        }
    },

    start () {

    },

    // playMusic1
    playMusicNormal: function() {
        this.bgMusicId = this.playMusic(this.ac_bgMusic_normal, true);
    },

    // playMusic2
    playMusicExcited: function() {
        this.bgMusicId = this.playMusic(this.ac_bgMusic_excited, true);
    },

    // playMusic3
    playMusicUneasy: function() {
        this.bgMusicId = this.playMusic(this.ac_bgMusic_uneasy, true);
    },

    playMusic: function (ac, isLoop) {
        this.stopMusic();
        var self = this;
        this.scheduleOnce(function() {
            self.bgMusicId = cc.audioEngine.playMusic(ac, isLoop);
            console.log("AudioMgr play background music success, musicId: ", self.bgMusicId);
        }, 0.1);
    },

    stopMusic: function() {
        if (this.bgMusicId != null) {
            console.log("AudioMgr stop background music, musicId: ", this.bgMusicId);
            cc.audioEngine.stop(this.bgMusicId);
        }
    },

    pauseBgMusic: function() {
        if (this.bgMusicId != null) {
            console.log("AudioMgr pause background music, musicId: ", this.bgMusicId);
            cc.audioEngine.pause(this.bgMusicId);
        }
    },

    resumeBgMusic: function() {
        var self = this;
        this.scheduleOnce(function() {
            if (this.bgMusicId != null) {
                console.log("AudioMgr resume background music, musicId: ", this.bgMusicId);
                cc.audioEngine.resume(self.bgMusicId);
            }
        }, 0.1);
    },

    initWX: function() {
        var self = this;

        wx.onShow(function (res) {
            self.resumeBgMusic();
        });

        wx.onHide(function (res) {
            self.pauseBgMusic();
        });
    },
});
