"use strict";
cc._RF.push(module, '7640dj3A21ErprD09J9XpHe', 'TestAudio');
// TestAudio.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {
        //背景音乐挂载
        ac_bgMusic_normal: {
            type: cc.AudioClip,
            default: null
        },
        ac_bgMusic_excited: {
            type: cc.AudioClip,
            default: null
        },
        ac_bgMusic_uneasy: {
            type: cc.AudioClip,
            default: null
        },

        bgMusicId: null
    },

    onLoad: function onLoad() {
        if (CC_WECHATGAME) {
            this.initWX();
        }
    },
    start: function start() {},


    // playMusic1
    playMusicNormal: function playMusicNormal() {
        this.bgMusicId = this.playMusic(this.ac_bgMusic_normal, true);
    },

    // playMusic2
    playMusicExcited: function playMusicExcited() {
        this.bgMusicId = this.playMusic(this.ac_bgMusic_excited, true);
    },

    // playMusic3
    playMusicUneasy: function playMusicUneasy() {
        this.bgMusicId = this.playMusic(this.ac_bgMusic_uneasy, true);
    },

    playMusic: function playMusic(ac, isLoop) {
        this.stopMusic();
        var self = this;
        this.scheduleOnce(function () {
            self.bgMusicId = cc.audioEngine.playMusic(ac, isLoop);
            console.log("AudioMgr play background music success, musicId: ", self.bgMusicId);
        }, 0.1);
    },

    stopMusic: function stopMusic() {
        if (this.bgMusicId != null) {
            console.log("AudioMgr stop background music, musicId: ", this.bgMusicId);
            cc.audioEngine.stop(this.bgMusicId);
        }
    },

    pauseBgMusic: function pauseBgMusic() {
        if (this.bgMusicId != null) {
            console.log("AudioMgr pause background music, musicId: ", this.bgMusicId);
            cc.audioEngine.pause(this.bgMusicId);
        }
    },

    resumeBgMusic: function resumeBgMusic() {
        var self = this;
        this.scheduleOnce(function () {
            if (this.bgMusicId != null) {
                console.log("AudioMgr resume background music, musicId: ", this.bgMusicId);
                cc.audioEngine.resume(self.bgMusicId);
            }
        }, 0.1);
    },

    initWX: function initWX() {
        var self = this;

        wx.onShow(function (res) {
            self.resumeBgMusic();
        });

        wx.onHide(function (res) {
            self.pauseBgMusic();
        });
    }
});

cc._RF.pop();